import request from '@/utils/request'

export function _queryPager(data) {
  return request({
    url: '/OutTemplate/QueryPager',
    method: 'post',
    timeout: 20 * 1000,
    data: data
  })
}

export function _deleteTemplate(data) {
  return request({
    url: '/OutTemplate/DeleteTemplate',
    method: 'post',
    timeout: 20 * 1000,
    data: data
  })
}

export function _getDetails(id) {
  return request({
    url: '/OutTemplate/GetDetails',
    method: 'get',
    timeout: 20 * 1000,
    params: { id }
  })
}

export function _getColumns(id) {
  return request({
    url: '/OutTemplate/GetColumns',
    method: 'get',
    timeout: 20 * 1000,
    params: { id }
  })
}

export function _getColumnsAsBaseName(baseName) {
  return request({
    url: '/OutTemplate/GetColumnsAsBaseName',
    method: 'get',
    timeout: 20 * 1000,
    params: { baseName }
  })
}
export function _getBaseName() {
  return request({
    url: '/OutTemplate/GetBaseName',
    method: 'get',
    timeout: 20 * 1000
  })
}
export function _save(data) {
  return request({
    url: '/OutTemplate/Save',
    method: 'post',
    timeout: 20 * 1000,
    data: data
  })
}

